import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

// variables

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const makeFruit = fruitType => {
  return { type: fruitType, id: Math.random()}
};

// const makeFruit = type => ({type, id : Math.random()});

let fruits = range(5)
	.map(() => makeFruit('apple'));

console.log(fruits);

let selectedFruit=null;

const setSelectedFruit=id=>{
	selectedFruit=id;
  render();
};

// functions

const render = () => {
  fruitBowl(svg, {
    fruits,
  	height,
    setSelectedFruit,
		selectedFruit
  })
};


// script

render(fruits);

setTimeout(() => {
	fruits.pop();
	render(fruits);
}, 1000);

setTimeout(() => {
	fruits[2].type = 'lemon';
	render(fruits);
}, 2000);

setTimeout(() => {
  // filter keeps elements when true is returned
	fruits = fruits.filter((d,i) => i !== 1);
	render(fruits);
}, 3000);


